package com.sw.mes.yb.pc.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.pc.entity.SpellInfo;

import java.util.List;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface SpellInfoService extends BaseService<SpellInfo> {

    void deleteBySectionId(Long sectionId);

    SpellInfo findBySectionNo(String sectionNo);

    List<SpellInfo> findBySectionNos(List<String> sectionNos);

    void deleteBySectionNos(List<String> sectionNos);

    List<SpellInfo> findBySectionId(Long sectionId);

}
